org.apache.ignite.internal.processors.hadoop

## Class HadoopNoopProcessor

- java.lang.Object
- - org.apache.ignite.internal.processors.GridProcessorAdapter
  - - org.apache.ignite.internal.processors.hadoop.HadoopProcessorAdapter
    - - org.apache.ignite.internal.processors.hadoop.HadoopNoopProcessor

All Implemented Interfaces:
  GridComponent, GridProcessor

    public class HadoopNoopProcessor
    extends HadoopProcessorAdapter

Hadoop processor.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`ctx, diagnosticLog, log`

### Constructor Summary

Constructors
Constructor and Description
`HadoopNoopProcessor(GridKernalContext ctx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`HadoopConfiguration` `config()`
`HadoopCounters` `counters(HadoopJobId jobId)` Returns Hadoop job counters.
`IgniteInternalFuture<?>` `finishFuture(HadoopJobId jobId)` Gets Hadoop job finish future.
`Hadoop` `hadoop()`
`boolean` `kill(HadoopJobId jobId)` Kills job.
`HadoopJobId` `nextJobId()`
`HadoopJobStatus` `status(HadoopJobId jobId)` Gets Hadoop job execution status.
`IgniteInternalFuture<?>` `submit(HadoopJobId jobId, HadoopJobInfo jobInfo)` Submits job to job tracker.
`void` `validateEnvironment()` Validate Hadoop environment.

### Methods inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`assertParameter, collectGridNodeData, collectJoiningNodeData, discoveryDataType, onDisconnected, onGridDataReceived, onJoiningNodeDataReceived, onKernalStart, onKernalStop, onReconnected, printMemoryStats, start, stop, toString, validateNode, validateNode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HadoopNoopProcessor

    public HadoopNoopProcessor(GridKernalContext ctx)

Parameters:
  `ctx` - Kernal context.

### Method Detail

#### hadoop

    public Hadoop hadoop()

Specified by:
  `hadoop` in class `HadoopProcessorAdapter`
Returns:
  Hadoop facade.

#### config

    public HadoopConfiguration config()

Specified by:
  `config` in class `HadoopProcessorAdapter`
Returns:
  Hadoop configuration.

#### nextJobId

    public HadoopJobId nextJobId()

Specified by:
  `nextJobId` in class `HadoopProcessorAdapter`
Returns:
  Collection of generated IDs.

#### submit

    public IgniteInternalFuture<?> submit(HadoopJobId jobId,
                                          HadoopJobInfo jobInfo)

Submits job to job tracker.

Specified by:
  `submit` in class `HadoopProcessorAdapter`
Parameters:
  `jobId` - Job ID to submit.
  `jobInfo` - Job info to submit.
Returns:
  Execution future.

#### status

    public HadoopJobStatus status(HadoopJobId jobId)
                           throws IgniteCheckedException

Gets Hadoop job execution status.

Specified by:
  `status` in class `HadoopProcessorAdapter`
Parameters:
  `jobId` - Job ID to get status for.
Returns:
  Job execution status.
Throws:
  `IgniteCheckedException` - If failed.

#### counters

    public HadoopCounters counters(HadoopJobId jobId)

Returns Hadoop job counters.

Specified by:
  `counters` in class `HadoopProcessorAdapter`
Parameters:
  `jobId` - Job ID to get counters for.
Returns:
  Job counters.

#### finishFuture

    public IgniteInternalFuture<?> finishFuture(HadoopJobId jobId)
                                         throws IgniteCheckedException

Gets Hadoop job finish future.

Specified by:
  `finishFuture` in class `HadoopProcessorAdapter`
Parameters:
  `jobId` - Job ID.
Returns:
  Job finish future or `null`.
Throws:
  `IgniteCheckedException` - If failed.

#### kill

    public boolean kill(HadoopJobId jobId)
                 throws IgniteCheckedException

Kills job.

Specified by:
  `kill` in class `HadoopProcessorAdapter`
Parameters:
  `jobId` - Job ID.
Returns:
  `True` if job was killed.
Throws:
  `IgniteCheckedException` - If failed.

#### validateEnvironment

    public void validateEnvironment()
                             throws IgniteCheckedException

Validate Hadoop environment.

Specified by:
  `validateEnvironment` in class `HadoopProcessorAdapter`
Throws:
  `IgniteCheckedException` - If failed.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018